net.sf.jasperreports.olap.xmla

## Class JRXmlaHierarchy

- java.lang.Object
- - net.sf.jasperreports.olap.xmla.JRXmlaHierarchy

- All Implemented Interfaces:
    JROlapHierarchy

      public class JRXmlaHierarchy
      extends java.lang.Object
      implements JROlapHierarchy

  Version:
    $Id: JRXmlaHierarchy.java 6912 2014-02-18 17:32:41Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRXmlaHierarchy(java.lang.String dimensionName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected JRXmlaHierarchyLevel[]` | `ensureLevelArray()`
    `java.lang.String` | `getDimensionName()`
    `java.lang.String` | `getHierarchyUniqueName()`
    `JROlapHierarchyLevel[]` | `getLevels()`
    `protected java.lang.String` | `parseUniqueName(java.lang.String originalDimensionName)`
    `protected void` | `resetLevelArray()`
    `void` | `setLevel(java.lang.String levelName, int depth)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRXmlaHierarchy

          public JRXmlaHierarchy(java.lang.String dimensionName)

  - ### Method Detail

    - #### getDimensionName

          public java.lang.String getDimensionName()

      Specified by:
        `getDimensionName` in interface `JROlapHierarchy`

    - #### getLevels

          public JROlapHierarchyLevel[] getLevels()

      Specified by:
        `getLevels` in interface `JROlapHierarchy`

    - #### setLevel

          public void setLevel(java.lang.String levelName,
                      int depth)

    - #### getHierarchyUniqueName

          public java.lang.String getHierarchyUniqueName()

      Specified by:
        `getHierarchyUniqueName` in interface `JROlapHierarchy`

    - #### ensureLevelArray

          protected JRXmlaHierarchyLevel[] ensureLevelArray()

    - #### resetLevelArray

          protected void resetLevelArray()

    - #### parseUniqueName

          protected java.lang.String parseUniqueName(java.lang.String originalDimensionName)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com